<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package podcast_guru
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

<?php the_post_thumbnail('podcast-guru-blog-thumbnail-img'); ?>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;
 ?>
	</header><!-- .entry-header -->

    <?php if ( !is_tax( array('series','speaker') ) ) { ?>

	<div class="entry-content">
            <?php

            global $numpages;
            if (is_archive() || is_home() ):
                    echo wp_kses_post(podcast_guru_get_excerpt($post->ID, 450));
            else:
                the_content(sprintf(wp_kses(__('Continue reading<span class="screen-reader-text"> "%s"</span>', 'podcast-guru'),array('span' => array('class' => array(),),)),get_the_title()));
            endif;
            if(is_single()) {
                wp_link_pages(array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'podcast-guru'),
                    'after' => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ));
            }
            ?>
	</div><!-- .entry-content -->

    

	<footer class="entry-footer">
		<a href="<?php echo esc_url(get_the_permalink()); ?>" class="btn btn-default"><?php esc_html_e("Read More", "podcast-guru") ?></a>
	</footer><!-- .entry-footer -->

    <?php } ?>
</article><!-- #post-<?php the_ID(); ?> -->

